<?php if(! defined('ABSPATH')){ return; }
/*
 Name: Portfolio item content
 Description: Create and display the current post content
 Class: TH_PortfolioContent
 Category: content
 Level: 3
*/

/**
 * Class TH_PortfolioContent
 *
 * Create and display the current page content
 *
 * @package  Kallyas
 * @category Page Builder
 * @author   Team Hogash
 * @since    4.0.0
 */
class TH_PortfolioContent extends ZnElements
{
	public static function getName(){
		return __( "Portfolio item content", 'zn_framework' );
	}

	/**
	 * This method is used to display the output of the element.
	 * @return void
	 */
	function element()
	{
		echo '<div class="zn_post_content_elemenent '.$this->data['uid'].'">';
			get_template_part( 'inc/page', 'content-view-portfolio.inc' );
		echo '</div>';
	}

	// TODO : Uncomment this if JS errors appears because of clients shortcodes/plugins
	// /**
	//  * This method is used to display the output of the element.
	//  * @return void
	//  */
	// function element_edit()
	// {
	//     echo '<div class="zn-pb-notification">This element will be rendered only in View Page Mode and not in PageBuilder Edit Mode.</div>';
	// }

}
